import { Utils } from '@nativescript/core';
export class AndroidSensors {
    constructor(liteData = false) {
        this.XSensorClass = new com.github.bradmartin.xsensor.XSensors(Utils.android.getApplicationContext(), liteData);
    }
    setListener(listener) {
        if (listener) {
            this.XSensorClass.setListener(listener);
        }
    }
    startSensor(sensor, delay, maxReportLatency) {
        if (maxReportLatency) {
            return this.XSensorClass.startSensorWithReportLatency(sensor, delay, maxReportLatency);
        }
        else {
            return this.XSensorClass.startSensor(sensor, delay);
        }
    }
    stopSensor(sensor) {
        if (sensor) {
            this.XSensorClass.stopSensor(sensor);
        }
    }
    getDeviceSensors() {
        const sensorList = this.XSensorClass.getDeviceSensors();
        const result = [];
        for (let i = 0; i < sensorList.size(); i++) {
            const sensor = sensorList.get(i);
            result.push(sensor);
        }
        return result;
    }
    flush() {
        return this.XSensorClass.flush();
    }
}
export const AndroidSensorListener = com.github.bradmartin.xsensor.XSensorListener;
export var SensorDelay;
(function (SensorDelay) {
    SensorDelay[SensorDelay["FASTEST"] = android.hardware.SensorManager.SENSOR_DELAY_FASTEST] = "FASTEST";
    SensorDelay[SensorDelay["GAME"] = android.hardware.SensorManager.SENSOR_DELAY_GAME] = "GAME";
    SensorDelay[SensorDelay["UI"] = android.hardware.SensorManager.SENSOR_DELAY_UI] = "UI";
    SensorDelay[SensorDelay["NORMAL"] = android.hardware.SensorManager.SENSOR_DELAY_NORMAL] = "NORMAL";
})(SensorDelay || (SensorDelay = {}));
//# sourceMappingURL=index.android.js.map